Bug 427843 - Backport the 'fragment_size' option
Backport the 'fragment_size' option
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: wpa_supplicant (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks: 220915
  Show dependency treegraph
 
Reported: 2008-01-07 14:47 EST by Dan Williams
Modified: 2008-05-21 13:33 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0473
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 13:33:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backport of 'fragment_size' config option from 0.5.9 (3.50 KB, patch)
2008-01-07 14:47 EST, Dan Williams
no flags Details | Diff

  None (edit)
Description Dan Williams 2008-01-07 14:47:45 EST
We need to backport the 'fragment_size' config option to RHEL5's wpa_supplicant
0.4.8.  Without the ability to set the EAP fragment size to 1300 or less, we
cannot successfully negotiate WPA Enterprise connections with the Cisco test
hardware we have in-house; the authentication process just hangs.  The change
won't affect the _default_ fragment size, so default behavior is the same as
before, but NetworkManager for example would set a lower fragment size than the
default to ensure success on a wider range of AP hardware.

Patch attached; tested with RHEL 5.1 on Dell Precision M6300 with ipw3945 and
Cisco AIR-AP-1131AG.
Comment 1 Dan Williams 2008-01-07 14:47:45 EST
Created attachment 291004 [details]
backport of 'fragment_size' config option from 0.5.9
Comment 2 RHEL Product and Program Management 2008-01-07 14:55:18 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Dan Williams 2008-01-07 15:53:01 EST
QE: we've got all the hardware in-house and it's trivially easy to test as I've
already got everything set up for WPA Enterprise stuff.  Testing is just trying
a wpa_supplicant config file with a network block for EAP-TLS both with and
without the 'fragment_size=1300' option against a WPA-EAP setup.
Comment 4 Dan Williams 2008-01-16 17:26:42 EST
Changes committed to RHEL5 branch
Comment 6 Suzanne Hillman 2008-03-04 12:00:20 EST
Verified with new NM & new wpa_supplicant on Dell precision M6300.
Comment 8 errata-xmlrpc 2008-05-21 13:33:38 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0473.html

Note You need to log in before you can comment on or make changes to this bug.